A entry of this table specifies a VLAN and a port belonging to it.
OID reference
vlanPortEntry
1.3.6.1.4.1.89.48.18.1
Description
A entry of this table specifies a VLAN and a port belonging to it.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.89.48.18 (vlanPortsTable)
- Node code
- 1
- Node name
- vlanPortEntry
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.89.48.18.1
- URN notation
- urn:oid:1.3.6.1.4.1.89.48.18.1
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 89 48 18 1}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18) vlanPortEntry(1)}
- OID-IRI notation
- /1/3/6/1/4/1/89/48/18/1
- /ISO/Identified-Organization/6/1/4/1/89/48/18/1
- /ISO/3/6/1/4/1/89/48/18/1
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/org/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/org/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/org/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/org/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-organization/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-organization/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable/vlanPortEntry
- /iso/iso-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable/vlanPortEntry
SNMP properties
- Value type
- VlanPortEntry
- Maximum access defined by MIB
- not-accessible
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
vlanPortEntry OBJECT-TYPE
SYNTAX VlanPortEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A entry of this table specifies a VLAN and a port belonging to it."
INDEX { vlanPortVlanIfIndex, vlanPortPortIfIndex}
::= { vlanPortsTable 1 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
vlanPortEntry · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: vlanPortEntry
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"vlanPortEntry",
"OBJECT-TYPE",
"SYNTAX",
"VlanPortEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A entry of this table specifies a VLAN and a port belonging to it.\"",
"INDEX",
"{",
"vlanPortVlanIfIndex",
",",
"vlanPortPortIfIndex",
"}",
"::=",
"{",
"vlanPortsTable",
"1",
"}"
],
"syntax_tree": [
[
"row",
"VlanPortEntry"
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A entry of this table specifies a VLAN and a port belonging to it."
],
null,
null,
[
"INDEX",
[
[
0,
"vlanPortVlanIfIndex"
],
[
0,
"vlanPortPortIfIndex"
]
]
],
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: DES6300 MIB(0131140909).zip
Module: RADLAN-MIB
See published definition above
· Download APOLLO.TXTModule imports
{'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)
Direct children (6)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.48.18.1.1 | vlanPortVlanIfIndex | 0 | 0 | |
| 1.3.6.1.4.1.89.48.18.1.2 | vlanPortPortIfIndex | 0 | 0 | |
| 1.3.6.1.4.1.89.48.18.1.3 | vlanPortTaggedMode | 0 | 0 | |
| 1.3.6.1.4.1.89.48.18.1.4 | vlanPortType | 0 | 0 | |
| 1.3.6.1.4.1.89.48.18.1.5 | vlanPortStatus | 0 | 0 | |
| 1.3.6.1.4.1.89.48.18.1.6 | vlanPortForbiddenEgressPort | 0 | 0 |